/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SGL_UTILS_H_INCLUDED__
#define __SGL_UTILS_H_INCLUDED__

#include <netfsm/generator.h>
#include <sgl/graph.h>

TE_UpdateStatus updateInfo_Edge(TE_GraphInfo *info, SGL_Edge *edge, TE_UpdateType type, SGL_UpdateStatus status);

TE_ArcId* createArcId_Edge(SGL_Edge *edge);

#endif
