#!/bin/sh
echo START CONFIG_DIR=$CONFIG_DIR NODE=$NODE HOST=$HOST PORT=$PORT TESTRUN=$TESTRUN

CLUSTER_DIR=$CONFIG_DIR/clusters/$CLUSTER
# load common functions & variables
. $CLUSTER_DIR/cluster.conf

FUNCTIONS_DIR=`dirname $0`
. $FUNCTIONS_DIR/functions.sh

TESTDIR=$TESTRUN_DIR/$PORT

RWD=`pwd`
cd $TESTDIR >/dev/null

echo -n "Starting $TESTNAME..."
TESTPARAMS="${TESTPARAMS} --testrun=$TESTRUN" . ./$TESTNAME.sh >$LOG_STDOUT 2>$LOG_STDERR &
check_exit

cd $RWD >/dev/null

echo START END
